01
Request
POST
/api/pay/{apiKey}/transactions| Parameter | Lokasi | Wajib | Keterangan |
|---|---|---|---|
| apiKey | path | Ya | API key project |
| amount | body | Ya | Integer minimal 1 sebelum unique_code |
| note | body | Tidak | String atau null |
request.sh
cURL
curl --request POST \
--url https://api.kipay.biz.id/api/pay/apg_your_project_key/transactions \
--header "Content-Type: application/json" \
--data '{ "amount": 285000, "note": "order_nusa_2048" }'02
201 Created
response.json
JSON
{
"trx_id": "SBX-20260825-VG57V5",
"mode": "sandbox",
"requested_amount": 285000,
"unique_code": 215,
"amount": 285215,
"fee_amount": 2925,
"fee_bearer": "merchant",
"status": "pending",
"provider": null,
"note": "order_nusa_2048",
"qr_payload": "0002010102122661...",
"qr_url": "https://api.kipay.biz.id/api/pay/apg_your_project_key/transactions/SBX-20260825-VG57V5/qr.png",
"matched_at": null,
"created_at": "2026-08-26 06:35:08",
"expires_at": "2026-08-26 06:50:08"
}03
Error
| Status | Kondisi |
|---|---|
| 400 | amount tidak valid atau QRIS statis merchant belum diatur |
| 404 | Project tidak ditemukan atau dinonaktifkan |
| 409 | unique_code yang tidak bentrok gagal dibuat |